<?xml version="1.0" encoding="UTF-8"?>
  <!-- PDS4 Schematron for Name Space Id:ex  Version:1-8.0.0 - Sun Mar 11 15:14:03 EDT 2018 -->
  <!-- Generated from the PDS4 Information Model Version 1.9.0.0 - System Build 8a -->
  <!-- *** This PDS4 schematron file is an operational deliverable. *** -->
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">

  <sch:title>Schematron using XPath 2.0</sch:title>

  <sch:ns uri="http://pds.nasa.gov/pds4/pds/v1" prefix="pds"/>
  <sch:ns uri="http://pds.nasa.gov/pds4/mission/ex/v1" prefix="ex"/>

		   <!-- ================================================ -->
		   <!-- NOTE:  There are two types of schematron rules.  -->
		   <!--        One type includes rules written for       -->
		   <!--        specific situations. The other type are   -->
		   <!--        generated to validate enumerated value    -->
		   <!--        lists. These two types of rules have been -->
		   <!--        merged together in the rules below.       -->
		   <!-- ================================================ -->
  <sch:pattern>
    <sch:rule context="ex:External_Associations/pds:Local_Internal_Reference">
      <sch:assert test="pds:local_reference_type = 'demo_id'">
        In Local_Internal Reference, local_reference_type must be 'demo_id'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="ex:External_Associations/pds:Internal_Reference">
      <sch:assert test="pds:reference_type = ('type_1', 'type_2', 'type_3')">
        In External_Association, the reference_type must be one of 'type_1', 'type_2', or 'type_3'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="ex:One_Or_The_Other">
      <sch:assert test="if ((ex:integer and ex:float) or (not(ex:integer) and not(ex:float))) then false() else true()">
        Either 'integer' or 'float' must be included, but not both.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="ex:Two_Rules_One_Context/pds:Internal_Reference">
      <sch:assert test="pds:reference_type = 'two_rules_reference_type'">
        The pds:reference_type attribute myst have a value of 'two_rules_reference_type' in this class.</sch:assert>
      <sch:assert test="if (pds:lidvid_reference) then true() else false()">
        The Two_Rules_One_Context class requires a product reference via pds:lidvid_reference.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="ex:Two_Rules_One_Context">
      <sch:let name="test_field" value="ex:integer"/>
      <sch:let name="good_val" value="3"/>
      <sch:assert test="if ($test_field) then ($test_field = $good_val) else true()">
        If the attribute 'integer' is present, it must have a value of '3'.</sch:assert>
    </sch:rule>
  </sch:pattern>
</sch:schema>
